aboutsummaryrefslogtreecommitdiffstats
path: root/community/roundcubemail/APKBUILD
Commit message (Collapse)AuthorAgeFilesLines
* community/roundcubemail: security upgrade to 1.3.10 - CVE-2019-10740Andy Postnikov2019-11-031-2/+4
|
* community/roundcubemail: upgrade to 1.3.9J0WI2019-06-191-3/+3
|
* community/roundcubemail: security upgrade to 1.3.8 (CVE-2018-19206)Natanael Copa2018-11-291-3/+5
| | | | fixes #9696
* community/roundcubemail: add date prefix to cron logJakub Jirutka2018-07-281-1/+1
|
* community/roundcubemail: fix logrotate files patternJakub Jirutka2018-07-281-2/+2
| | | | Roundcube creates files without .log suffix.
* community/roundcubemail: add sample nginx config to -docJakub Jirutka2018-07-271-2/+7
|
* community/roundcubemail: more secure privileges, prefer php-fpmJakub Jirutka2018-07-271-3/+9
| | | | | | | | | | | If the user want to run Roundcube with "traditional", quite insecure and silly method by running PHP apps with web server (e.g. Apache2 mod_php) under web server's user, (s)he still can, but have to change group of config files or add web server's user to group roundcube. This is announced by message in post-upgrade script. The -openrc subpackage is now installed by default when openrc is installed, which should promote running Roundcube using php-fpm.
* community/roundcubemail: add customized default configJakub Jirutka2018-07-271-0/+6
|
* community/roundcubemail: fix missing JS libsJakub Jirutka2018-07-271-4/+3
| | | | Oh great, so the roundcube aport has been literally non-functional. >_<
* community/roundcubemail: disable remote spellcheck by defaultJakub Jirutka2018-07-271-0/+2
|
* community/roundcubemail: move plugins with extra deps to subpkgsJakub Jirutka2018-07-271-1/+23
| | | | And fix their dependencies.
* community/roundcubemail: copy plugin configs into /etcJakub Jirutka2018-07-271-0/+14
|
* community/roundcubemail: add cron script for running daily cleandbJakub Jirutka2018-07-271-1/+4
|
* community/roundcubemail: fix scripts in bin/Jakub Jirutka2018-07-271-2/+14
|
* community/roundcubemail: add subpackage for each supported DBJakub Jirutka2018-07-271-1/+27
|
* community/roundcubemail: add logrotate configJakub Jirutka2018-07-271-1/+5
|
* community/roundcubemail: add subpkg -openrc for running with php-fpmJakub Jirutka2018-07-271-4/+28
|
* community/roundcubemail: generate random session key in post-installJakub Jirutka2018-07-271-2/+4
|
* community/roundcubemail: fix fixing of paths, remove ancient messJakub Jirutka2018-07-271-7/+1
| | | | | | | - These pre/post upgrade scripts has been added 8 years ago, so they are not needed anymore. - The pre-upgrade script is even not used. - The sed in prepare breaks config.
* community/roundcubemail: make -installer depend on origin pkgJakub Jirutka2018-07-271-0/+1
|
* community/roundcubemail: add missing dependencies and remove surplusJakub Jirutka2018-07-271-2/+6
|
* community/roundcubemail: improve abuildJakub Jirutka2018-07-271-34/+46
|
* community/roundcubemail: security upgrade to 1.3.6 (CVE-2018-9846)Leonardo Arena2018-04-121-3/+5
|
* community/roundcubemail: adjust config default for tmp and log dirsLeonardo Arena2018-01-161-2/+2
|
* community/roundcubemail: upgrade to 1.3.4Leonardo Arena2018-01-161-6/+6
|
* [various]: unify names of licenses according to SPDXJakub Jirutka2017-12-301-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This commit updates $license variable in all APKBUILDs to comply with short names specified by SPDX version 3.0 [1] where possible. It was done using find-and-replace method on substrings inside $license variables. Only license names were updated, not "expressions" specifying relation between the licenses (e.g. "X and Y", "X or Y", "X and (Y or Z)") or exceptions (e.g. "X with exceptions"). Many licenses have a version or multiple variants, e.g. MPL-2.0, BSD-2-Clause, BSD-3-Clause. However, $license in many aports do not contain license version or variant. Since there's no way how to infer this information just from abuild, it were left without the variant suffix or version, i.e. non SPDX compliant. GNU licenses (AGPL, GFDL, GPL, LGPL) are especially complicated. They exist in two variants: -only (formerly e.g. GPL-2.0) and -or-later (formerly e.g. GPL-2.0+). We did not systematically noted distinguish between these variants, so GPL-2.0, GPL2, GPLv2 etc. may mean GPL-2.0-only or GPL-2.0-or-later. Thus GNU licenses without "+" (e.g. GPL2+) were left without the variant suffix, i.e. non SPDX compliant. Note: This commit just fixes format of the license names, no verification has been done if the specified license information is actually correct! [1]: https://spdx.org/licenses/
* community/roundcubemail: add secinfoLeonardo Arena2017-11-091-1/+3
|
* community/roundcubemail: security upgrade to 1.3.3 (CVE-2017-16651)Leonardo Arena2017-11-091-2/+2
|
* community/roundcubemail: upgrade to 1.3.2Leonardo Arena2017-11-011-2/+2
|
* community/roundcubemail: upgrade to 1.3.1Leonardo Arena2017-09-051-2/+2
|
* community/roundcubemail: upgrade to 1.3.0Leonardo Arena2017-07-181-2/+2
|
* community/[various]: fix trailing whitespacetmpfile2017-07-101-1/+1
|
* community/roundcubemail: security upgrade to 1.2.5 (CVE-2017-8114)Leonardo Arena2017-04-281-11/+10
|
* community/roundcubemail: use php7, disable check()Leonardo Arena2017-04-071-4/+6
|
* community/*: move php5 and dependent pkgs from mainJakub Jirutka2017-03-281-0/+80
There two main reasons for this change: * Active support of PHP 5.x ended on January 2017, security support will end on December 2018. Packages in the main repository should be supported for at least 2 years, this means until first quarter of 2019 for the upcoming v3.6. * php7 and its extensions are currently in the community repository, so we can't use single abuild for both php5-* and php7-* packages (as we do for Python and Lua packages). This change was suggested by @vakartel, approved by @ncopa, @kaniini, and @jirutka.